Subject: RE: AD review of draft-ietf-rtgwg-ipfrr-notvia-addresses

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 27 Nov 2012 23:32:19 -0000

At the risk of being a pain...

The working group asked for publication of this document and over 40 days ago I
sent a review that asked for two relatively minor actions. 

Can I hope for these to be completed soon?

Thanks,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Adrian Farrel
> Sent: 17 October 2012 04:43
> To: [email-masked]
> Cc: [email-masked]
> Subject: AD review of draft-ietf-rtgwg-ipfrr-notvia-addresses
> 
> Hi,
> 
> I've done my usual AD review of your draft prior to issuing IETF last
> call and passing the I-D for IESG evaluation. The main purpose of the
> review is to catch issues that might come up in later reviews and to
> ensure that the document is ready for publication as and RFC.
> 
> I only have a small point that needs to be resolved in a new revision of
> the document, so I will put it into "Revised I-D Needed" state in the
> data tracker and wait to hear from you.
> 
> But I would also like the document shepherd to make an update to the
> write-up as described below.
> 
> As always, all my comments are up for discussion and negotiation.
> 
> Thanks for the work,
> Adrian
> 
> ===
> 
> The Shepherd write-up says...
> 
> > There is consensus in the WG to proceed with publication.
> 
> Looking at the mailing list, I see no comments positive or negative
> during WG last call. What is more, I see no discussion of the I-D
> going back four years (at which point I lost the will to search
> further). How do you justify there being WG consensus for this document?
> 
> I think this issue can be resolved by a revision to the write-up with
> some explanation of the justification for publishing this as a WG
> document. I would also like the write-up to explain the purpose of the
> document as discussed in the following point.
> 
> ---
> 
> I was also unclear why you want to publish the document at all. I see a
> note from Alvaro (extending the WG last call for an extra week) that
> says:
> 
> > this document is being published as an Informational RFC for
> > completeness purposes...as has been discussed in the mailing list and
> > live meetings.
> 
> So I think that gives me the intended purpose: completeness. But I don't
> know what that means, and the document doesn't help me at all.
> 
> Furthermore, I couldn't find the discussion of this intention to publish
> on the mailing list.
> 
> Based on some conversations with Stewart, I understand that the idea
> here is to capture the current state of discussions in the WG so that
> they are not lost. But I also assume that the WG has no interest in
> pursuing these ideas further. So it would be reasonable to add a
> significant note to the Abstract and the Introduction about the
> purpose. This would say something along the lines of...
> 
>   The idea is to capture the current state of discussions in the WG so
>   that they are not lost, can be referenced, and might be picked up
>   again later. The WG currently has no interest in pursuing these ideas
>   further. It is not intended that this document as currently written
>   should form the basis of an implementation or deployment.
> 
> With this in mind, my review is considerably lighter than it would be
> for a standards track protocol specification, and I think the document
> will be fine for advancement.
> 
> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg